Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229724 - Can't change brightness due to SELinux policy on HAL scripts
Summary: Can't change brightness due to SELinux policy on HAL scripts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 227501
TreeView+ depends on / blocked
 
Reported: 2007-02-22 22:59 UTC by Bastien Nocera
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-12 17:08:05 UTC


Attachments (Terms of Use)

Description Bastien Nocera 2007-02-22 22:59:16 UTC
selinux-policy-2.4.6-40.fc6
selinux-policy-targeted-2.4.6-40.fc6

Trying to change the brightness on the desktop, using gnome-power-manager, I get
avc errors with selinux in enforcing mode.

Feb 22 22:55:30 randel kernel: audit(1172184930.763:333): avc:  denied  { write
} for  pid=2053 comm="hal-system-lcd-" name="sonypi" dev=proc ino=-268434518
scontext=user_u:system_r:hald_t:s0 tcontext=system_u:object_r:sysctl_irq_t:s0
tclass=dir

$ ls -lZ /dev/sonypi 
crw-------  root root system_u:object_r:device_t       /dev/sonypi
$ ls -lZ /usr/lib/hal/scripts/linux/hal-system-lcd-*
-rwxr-xr-x  root root system_u:object_r:lib_t         
/usr/lib/hal/scripts/linux/hal-system-lcd-get-brightness-linux
-rwxr-xr-x  root root system_u:object_r:lib_t         
/usr/lib/hal/scripts/linux/hal-system-lcd-set-brightness-linux
$ ls -lZ /usr/lib/hal/scripts/hal-system-lcd-*
-rwxr-xr-x  root root system_u:object_r:lib_t         
/usr/lib/hal/scripts/hal-system-lcd-get-brightness
-rwxr-xr-x  root root system_u:object_r:lib_t         
/usr/lib/hal/scripts/hal-system-lcd-set-brightness

$ cat /etc/sysconfig/selinux 
# This file controls the state of SELinux on the system.
# SELINUX= can take one of these three values:
#       enforcing - SELinux security policy is enforced.
#       permissive - SELinux prints warnings instead of enforcing.
#       disabled - SELinux is fully disabled.
SELINUX=enforcing
# SELINUXTYPE= type of policy in use. Possible values are:
#       targeted - Only targeted network daemons are protected.
#       strict - Full SELinux protection.
SELINUXTYPE=targeted

# SETLOCALDEFS= Check local definition changes
SETLOCALDEFS=0

Comment 1 Daniel Walsh 2007-03-20 16:00:38 UTC
Fixed in selinux-policy-2.4.6-46

Comment 2 Daniel Walsh 2007-09-12 17:08:05 UTC
Moving modified bugs to closed



Note You need to log in before you can comment on or make changes to this bug.